osl::DirectionTraitsGen< LONG_R > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const bool | canPromoteTo =false
static const Direction | altDir =LONG_L
static const Direction | longDir =LONG_R
static const Direction | primDir =L
static const int | blackDx =DirectionTraitsGen<R>::blackDx
static const int | blackDy =DirectionTraitsGen<R>::blackDy
static const int | ptypeMask

## Detailed Description

Definition at line 181 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< LONG_R >::altDir =LONG_L

static

Definition at line 183 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< LONG_R >::blackDx =DirectionTraitsGen<R>::blackDx

static

Definition at line 186 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< LONG_R >::blackDy =DirectionTraitsGen<R>::blackDy

static

Definition at line 187 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< LONG_R >::canPromoteTo =false

static

Definition at line 182 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< LONG_R >::longDir =LONG_R

static

Definition at line 184 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< LONG_R >::primDir =L

static

Definition at line 185 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< LONG_R >::ptypeMask

static

Initial value:
=
(1<<ROOK)|(1<<PROOK)
osl::ROOK
@ ROOK
Definition basic_type.h:100
osl::PROOK
@ PROOK
Definition basic_type.h:92

Definition at line 188 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h